<?php
if (!empty($this->cartProducts)) {
    echo "<h1>Prodej na krámě:</h1>";
    require_once 'i_table.phtml';
    if (empty($this->step)) { ?>
        <div class="search-holder">
            <a href='/admin/sales/empty/?product_id=all' onclick='return confirm("Chcete skutečně smazat veškerý obsah košíku?")'>
                <div class="button active-red floatleft center cufon">
                    Storno
                </div>
            </a>
            <a href='/admin/sales/payment/' onclick='return confirm("Zkontrolovali jste objednávku?")'>
                <div class="button active floatright center cufon">
                    Pokračovat &#187;
                </div>
            </a>
        </div>
    <?php
    }
} ?>
<h1>Výběr zboží k prodeji</h1>
<div class="search-holder">
    <div class="search-holder-text bg-lightgreen noborder-style" style='height: 51px'>
        <div class="padding15">
            <form method='post' action='/admin/sales/add/' style='float: left'>
                <label></label>
                <select name="category_id">
                    <option VALUE='all' <?= ($this->category_id == 'all') ? "SELECTED" : "" ?>>Vše</option>
                    <?php
                    foreach ($this->categories as $rowArray) {
                        $selected = ($this->category_id == $rowArray['category_id']) ? "SELECTED" : "";
                        echo "<option value='" . $rowArray['category_id'] . "' $selected>" . $rowArray['title_cz'] . "</option>";
                    }
                    ?>
                    <option VALUE='unsorted' <?= ($this->category_id == 'unsorted') ? "SELECTED" : "" ?>>Nezařazené předměty</option>
                </select>
                <input type='submit' value='Vybrat produkty této kategorie'>
            </form>
            <form method='post' action='/admin/sales/new/' style='float: left; margin-left: 15px'>
                <label></label>
                <input type="text" name="search" value="<?= $this->search ?>"/>
                <input type='submit' value='Hledat'>
            </form>
        </div>
    </div>
</div>
<?php require_once 'i_page.phtml'; ?>
<form method='post' action='/admin/sales/add/'>
<table class="admintable">
    <thead>
    <td style="width: 24px;">
        <a href='<?= $this->url() . "?order=product_id" ?>'>
            <div class="full active"><?= ($this->order == 'product_id') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>id</div>
        </a>
    </td>
    <td>
        množství
    </td>
    <td>
        <a href='<?= $this->url() . "?order=title" ?>'>
            <div class="full active"><?= ($this->order == 'title') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>název zboží</div>
        </a>
    </td>
    <td>
        kód
    </td>
    <td>
        cena
    </td>
    <td>
        množství na obchodě<br/>
        (reálné množství)
    </td>
    <td>
        množství na skladě<br/>
        (reálné množství)
    </td>
</thead>
<tbody>    
    <?php
    $i = 0;
    if (!empty($this->products)) {
        $color = 'dark';
        $index = $this->page - 1;
        if (!isset($this->products[$index])) {$index = 0;}
        foreach ($this->products[$index] as $product) {
            $status = $product->getStatusId();
            $i++;
            if ($status == '2') {
                $color = 'blue';
            } else if ($status == '0') {
                $color = 'red';                
            } else if (($status == '1') and ($color == 'dark')) {
                $color = 'light';
            } else if (($status == '1') and ($color == 'light')) {
                $color = 'dark';
            } else {
                $color = 'light';
            }
            echo "<tr>";
            echo "<td class='$color'>";
            echo $product->getProductId();
            echo "<input name='$i-product_id' type='hidden' value='" . $product->getProductId() . "'/>";
            echo "</td>"; 
            echo "<td class='$color'>";
            echo "<input name='$i-quantity' type='text' style='width: 40px' value=''/>";
            echo "</td>";
            echo "<td class='$color'>";
            echo "<a href='/admin/products/view/?product_id=" . $product->getProductId() . "' style='text-decoration: underline;'>" . $product->getTitle() . "</a>";
            echo "</td>";
            echo "<td class='$color'>";
            echo $product->getCode();
            echo "</td>";
            echo "<td class='$color'>";
            echo "<input name='$i-price_cz' type='text' style='width: 80px' value='".$product->getPrice()."' />";
            echo "</td>";            
            echo "<td class='$color'>";
            $inventory = $product->getInventory();
            echo $inventory['inv2a'] . " ";
            echo ($inventory['inv2b'] != $inventory['inv2a']) ? "(".$inventory['inv2b'].")" : "";
            echo "</td>";
            echo "<td class='$color'>";
            echo $inventory['inv3a'] . " ";
            echo ($inventory['inv3b'] != $inventory['inv3a']) ? "(".$inventory['inv3b'].")" : "";
            echo "</td>";            
        }
    }
    ?>    
</tbody>
</table>     
    <input type="hidden" value="<?= $i ?>" name='count' />
    <input type="submit" value="Přidat" class="floatright button active border-style" />
</form>
<div class="clear"></div>